Bug 316081 - buildsys-build no longer includes "diffutils"
buildsys-build no longer includes "diffutils"
Product: Fedora
Classification: Fedora
Component: buildsystem (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 16:40 EDT by Doug Chapman
Modified: 2008-04-04 11:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 11:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-10-02 16:40:11 EDT
Description of problem:

While attempting to set up "mock" on my system to build fedora on ia64 I found
that building glib2 fails because it cannot find "diff" in the mock chroot
environment.  It appears that the most recent buildsys-build located at:


no longer depends on diffultils like older versions did.

I doubt that ia64 is the only arch that runs into this and expect that if others
are not seeing it that is because mock is caching it from a previous build.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mock clean
2. mock glib2-2.13.7-3.fc8.src.rpm 
Actual results:
build of glib2 fails because it expects to find diff for one of the scripts

Expected results:

Additional info:
Comment 1 Doug Chapman 2007-10-03 12:36:48 EDT
fixing my topo in the summary....
Comment 2 Bug Zapper 2008-04-04 09:58:17 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Doug Chapman 2008-04-04 11:06:13 EDT
This issue is no longer causing us a problem, closing.

Note You need to log in before you can comment on or make changes to this bug.